:root {
    --sndheight: 23vw;
    --markerwidth: 0.75vw;
    --fontsize-small: 1.5vw;
    --fontsize-normal: 2.15vw;
    --fontsize-heading: 3.5vw;
    --comment-timeline-height: 3vw;
    --color-lime: lime;
    --color-yellow: yellow;
    --color-light-yellow: #ffffe0;
    --color-ghost-pink: #ff6fffcc;
    --color-purple: purple;
    --color-green: forestgreen;
    --color-pink: #ff6fff;
    --color-black: #333;
    --color-turquiose: turquoise;
    --color-olive: #7a942e;
    --color-ghost-black:  #333333dd;
    --color-violet: violet;
    --color-white:  #fff;
    --pad: 2.5vw;
}

* {
    font-family: monospace;
    box-sizing: border-box;
}

html, body, snd, figure, img, figcaption, comment-timeline {
    margin: 0;
    padding: 0;
    width: 100%;
    background-color: var(--color-light-yellow);
    font-size: var(--fontsize-normal);
}

h1.thread-title {
    display: block;
    width: 100%;
    padding: calc(var(--pad)*0.5);
    background-color: var(--color-green);
    color: var(--color-lime);
    margin: 0;
    font-size: var(--fontsize-heading);
}

h2 {
    display: block;
    width: 100%;
    background-color: var(--color-lime);
    padding: calc(var(--pad)*0.5);
    color: var(--color-green);
    margin: 0;
    font-size: var(--fontsize-normal);
}

thread-statusline {
    display: flex;
    justify-content: space-between;
    width: 100%;
    background-color: var(--color-lime);
    padding: calc(var(--pad)*0.25);
    padding-left: calc(var(--pad) * 0.5);
    color: var(--color-green);
    margin: 0;
    font-size: var(--fontsize-small);
}

thread-statusline b {
    color: var(--color-ghost-black);
}

thread-statusline controls {
    display: block;
}

thread-statusline controls a {
    color: var(--color-green);
}

posts {
    display: block;
}

posts post {
    display: block;
    transform: rotate(0.2deg);
}

posts post content {
    display: block;
    padding: var(--pad);
}

posts post post-statusline {
    display: flex;
    justify-content: space-between;
    color: var(--color-white);
    background-color: var(--color-olive);
    padding: calc(var(--pad)*0.25) var(--pad);
    font-size: var(--fontsize-small);
}

posts post:nth-child(odd) post-statusline {
    background-color: var(--color-black);
}

posts post controls {
    display: block;
    position: relative;
    z-index: 100;
}

posts post controls a {
    color: var(--color-white);
}


posts post:nth-child(odd) {
    transform: rotate(-0.3deg);
    background-color: var(--color-white);
}

#new-post-form {
    width: 100%;
    padding: 0;
    margin: 0;
}
#new-post-form textarea {
    width: calc(100% - (var(--pad)*2));
    min-height: 40ch;
    margin: var(--pad);
    margin-bottom: 0;
    padding: var(--pad);
    font-size: var(--fontsize-normal);
}

#new-post-form button {
    position: relative;
    background: var(--color-lime);
    border: none;
    border-right: 0.5vw solid var(--color-green);
    border-bottom: 0.5vw solid var(--color-green);
    margin: var(--pad);
    font-size: var(--fontsize-normal);
    color: var(--color-green);
    font-weight: bold;
    padding: var(--pad);
    width: calc(100% - (var(--pad)*2));
    z-index: 10;
}

snd, comment-timeline {
    display: block;
    font-size: var(--fontsize-normal);
}

snd {
    position: relative;
    height: var(--sndheight);
}

playheads {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: fit-content;
    display: block;
    width: 100%;
    z-index: 999;
}

playhead {
    display: none;
    width: 0%;
    background-color: var(--color-ghost-pink);
    color: #fff;
    font-size: 1vw;
    padding: 0.5vw;
    overflow: hidden;
    white-space: nowrap;
}

main-playhead {
    position: absolute;
    top: 0%;
    left: 0%;
    height: 100%;
    width: 1px;
    background-color: var(--color-ghost-pink);
    border-right: 1px solid var(--color-pink);
    z-index: 9999;
}

cursor {
    display: none;
    position: absolute;
    top: 30%;
    height: 38%;
    width: .25vw;
    background-color: var(--color-turquoise);
    z-index: 9991;
}

statusline {
    display: none;
    position: absolute;
    bottom: 4vw;
    right: 2vw;
    z-index: 9990;
    color: var(--color-ghost-black);
    font-size: 1.5vw;
}

snd figure {
    position: absolute;
    top: 0;
}

@keyframes wfcolor {
    0% {
        filter: brightness(0.96) grayscale(0.3) hue-rotate(0deg);
    }

    50% {
        filter: brightness(0.96) grayscale(0.3) hue-rotate(180deg);
    }

    100% {
        filter: brightness(0.96) grayscale(0.3) hue-rotate(360deg);
    }
}

snd figure img {
    animation: 60s infinite wfcolor;
}

snd figure figcaption {
    position: absolute;
    bottom: 0;
    font-size: var(--fontsize-normal);
}

transport {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
    height: var(--sndheight);
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
}

transport play-or-pause,
transport playing-time,
transport now-playing {
    color: turquoise;
    text-transform: uppercase;
    font-size: 4.5vw;
    font-weight: bold;
    text-shadow: 0.3vw 0.3vw yellow, -0.25vw -0.25vw #ff00ff;
}

transport play-or-pause {
    padding: 0.5vw 1.5vw;
    border-radius: 3vw;
    border: 0.75vw solid transparent;
}

transport play-or-pause:hover {
    background-color: var(--color-light-yellow);
    border: 0.75vw solid var(--color-ghost-pink);
}

comment-timeline {
    position: relative;
    background-color: var(--color-turquoise);
    height: var(--comment-timeline-height);
}

comment-timeline::after {
    content: attr(data-title);
    color: var(--color-turquoise);
    font-weight: bold;
    font-size: 1.75vw;
    position: absolute;
    bottom: -2.75vw;
    right: 0.75vw;
}

comment-timeline comment {
    display: block;
    position: absolute;
    top: calc(var(--markerwidth) * -1);
    padding: 0;
    background-color: var(--color-violet);
    border: var(--markerwidth) solid var(--color-violet);
    width: 0px;
    height: var(--comment-timeline-height);
    overflow: hidden;
    cursor: pointer;
    border-radius: 10px;
    border-radius: 0;
    transition: 0.6s color ease;
    color: transparent;
    font-size: var(--fontsize-normal);
}

comment-timeline comment.playing, 
comment-timeline comment.open {
    overflow: initial;
    border: var(--markerwidth) solid yellow;
    background-color: #ff6fffcc;
    padding: 0.5vw 0.75vw;
    width: fit-content;
    height: fit-content;
    z-index: 1000;
    color: #000;
    color: #fff;
}

.comment-list {
    margin: 0;
    margin-top: 10vw;
    padding: 0;
    padding-left: 3vw;
}

.comment-list li, 
comment-list comment {
    transition: 1s ease-in-out;
    cursor: pointer;
}

.comment-list li {
    position: relative;
    padding: 0.5vw;
    list-style-type: square;
    display: flex;
    margin-top: 3vw;
    font-size: var(--fontsize-normal);
    border: 2px dashed turquoise;
    margin-right: 4vw;
}

.comment-list actions {
    display: flex;
    position: absolute;
    top: -2.5vw;
    right: 1vw;
}

.comment-list input[type=button] {
    border: 2px dashed turquoise;
    background-color: #fff;
    color: turquoise;
    font-size: calc(var(--fontsize-normal) * 0.8);
    font-weight: bold;
    padding: 0.5vw 1vw;
    margin: 0 1vw;
    cursor: pointer;
}

.comment-list input[name=delete]:hover {
    border: 2px dashed red;
    color: red;
}

.comment-list input[name=edit]:hover {
    border: 2px dashed #ff6fffcc;
    color: #ff6fffcc;
}


comment-timeline comment .timestamp {
    position: absolute;
    top: -2.25vw;
    left: .5vw;

    background-color: yellow;
    color: #555;
    padding: 0.25vw 0.75vw;
    border-radius: 0.5vw;
    border-radius: 0;
    font-family: monospace;
    font-weight: bold;
    font-size: calc(var(--fontsize-normal) * 0.8);
}

comment-timeline comment .author {
    font-weight: bold;
    font-size: var(--fontsize-normal);
}

.comment-list li author {
    flex-shrink: 0;
    font-weight: bold;
    margin-right: 1.5vw;
    width: 10vw;
    text-align: right;
}


.comment-list li .timestamp {
    position: absolute;
    top: -1.75vw;
    left: -1.25vw;
    background-color: #fff;
    color: #555;
    padding: 0.25vw 0.75vw;
    border-radius: 0.5vw;
    border-radius: 0;
    font-family: monospace;
    font-weight: bold;
    font-size: calc(var(--fontsize-normal) * 0.8);
    box-shadow: 0.25vw 0.25vw #ff6fff;
}

.comment-list li.highlighted {
    background-color: yellow; 
}

.modal {
    position: fixed;
    top: 10vw;
    left: 0;
    right: 0;
    margin: auto;
    width: 80vw;
    z-index: 9000;
    padding: 3vw;
    background-color: #ffffffdd;
}

.modal textarea {
    width: 100%;
    height: 30vw;
    padding: 1.5vw;
    font-size: 2.25vw;
    background-color: turquoise;
    color: white;
    border: none;
    font-weight: bold;
    margin-bottom: 0.5vw;
}

.modal button[type=button], 
.modal button[type=submit] {
    font-size: 2.25vw;
    padding: 0.5vw 1vw;
    margin: 0;
    margin-top: 0.75vw;
    margin-right: 1vw;
    border: none;
    font-weight: bold;
    color: white;
    cursor: pointer;
}

.modal button[type=button] {
    background-color: turquoise;
}

.modal button[type=submit] {
    background-color: #ff6fff;
}

#login-form {
    width: max-content;
    margin: auto;
}

#create-thread-form, #create-invite-form {
    display: flex;
    width: 400px;
    margin: var(--pad) auto;
    flex-direction: column;
}

#create-thread-form textarea, #create-invite-form textarea {
    width: 100%;
    height: 20ch;
}

#create-thread-form input[type=text], #create-invite-form input[type=text] {
    width: 100%;
}

form formrow {
    padding: calc(var(--pad)*0.25) 0;
}

form formrow p {
    font-size: calc(var(--pad)*0.5);
    margin-bottom: 0;
}

formrow label {
    display: block;
}

nav {
    background-color: var(--color-turquiose);
    display: flex;
    justify-content: flex-start;
}

nav p {
    padding: calc(var(--pad)*0.5);
    margin: 0;
}

nav a {
    font-weight: 800;
    padding: 0;
    margin: 0;
    color: var(--color-black);
}

submenu {
    background-color: var(--color-pink);
    display: flex;
    justify-content: flex-end;
}

submenu a {
    padding: calc(var(--pad)*0.5);
    font-weight: 800;
    color: var(--color-white);
}

submenu a.bar-left {
    position: relative;
    padding-left: var(--pad);
}

submenu a.bar-left:hover {
    color: var(--color-black);
    background-color: var(--color-pink);
}

submenu a.bar-left:hover::before {
    color: var(--color-white);
}

submenu a.bar-left::before {
    content: '|';
    position: absolute;
    left: 0;
}


submenu a:hover {
    color: var(--color-pink);
    background-color: var(--color-white);
}

.centered {
    text-align: center;
}

ul, ul li, ul li a {
    color: var(--color-violet);
    font-weight: 800;
}

ul li a:hover {
    color: #000;
}
